Bug 250789 - New style PVFB config not processed correctly when starting guests with libvirt
New style PVFB config not processed correctly when starting guests with libvirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 12:51 EDT by Eugene Tay
Modified: 2009-12-14 16:15 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0643
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 gold domU config file (384 bytes, text/plain)
2007-08-03 12:51 EDT, Eugene Tay
no flags Details
Fixed handling of PVFB configs (3.15 KB, patch)
2007-08-09 17:33 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Eugene Tay 2007-08-03 12:51:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Tested on 2 machines so far. Both upgraded to 5.1 beta and both had the XVFB not
load

Steps to Reproduce:
1. Create para-virt DomU in  RHEL5 gold
2. Upgrade to RHEL5.1 beta
3. Start old created DomU in RHEL5.1 beta
  
Actual results:
Graphical console is not present in RHEL5.1 virt-manager

Expected results:
Graphical console expected to load

Additional info:
Comment 1 Eugene Tay 2007-08-03 12:51:28 EDT
Created attachment 160629 [details]
RHEL5 gold domU config file
Comment 2 Daniel Berrange 2007-08-09 10:57:06 EDT
Confirmed the problem - libvirt is not using the new style  vfb = []  configs -
assuming old style. This is as result of RHEL-5 having backported code from
newer XenD and thus screwing up libvirt's version detection. Fairly simple fix
to follow
Comment 5 Daniel Berrange 2007-08-09 17:33:58 EDT
Created attachment 161026 [details]
Fixed handling of PVFB configs

There were multiple problems:

 - It should be writing the new style config
 - It should be capable of reading either old style, *or* new style at same
time
 - It didn't correctly handle vncdisplay option
Comment 7 Daniel Veillard 2007-08-13 17:05:37 EDT
Libvirt libvirt-0_2_3-6_el5 has been built with the fix in dist-5E-qu-candidate

Daniel
Comment 12 errata-xmlrpc 2007-11-07 12:27:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0643.html

Note You need to log in before you can comment on or make changes to this bug.